Bug 212591 - FC6 install exited abnormally
FC6 install exited abnormally
Product: Fedora
Classification: Fedora
Component: booty (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Depends On:
  Show dependency treegraph
Reported: 2006-10-27 13:04 EDT by ctm
Modified: 2008-05-06 12:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 12:35:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description ctm 2006-10-27 13:04:28 EDT
Description of problem:
Trying to upgrade an FC5 system to FC6, the installer exits abnormally

Version-Release number of selected component (if applicable):

How reproducible:
Always happens on one particular machine.  I've upgraded two other machines (i386, without RAID) 
from FC5 to FC6 without any trouble

Steps to Reproduce:
1. Boot off of  FC6 X86_64 CD 1 of 6
2. verify media (or not, when trying the second time)
3. continue install
Actual results:
a bunch of error messages scroll by, the last remaining on the screen are:
File "/usr/lib/booty/bootloaderInfo.py", line 444, in createDriveList
dmsets = block.getRaidSets(drives)
File "/usr/lib64/python2.4/site-packages/block/__init__.ph", line 138, in getRaidSets
for rs in apply(c.get_raidsets, disks, {}):
block.dmraid.GroupingError: .dff1_disks
install exited abnormally [1/1]
sending termination signals...done

Expected results:
successful upgrade

Additional info:
This machine has six disks with three different raids spanning various disks:
[ctm@pomo ~]$ cat /proc/mdstat
Personalities : [raid5] [raid4] [raid0] [raid1] 
md0 : active raid0 sda5[0] sdb5[1] sdc5[2] sdd5[3] sde5[4] sdf5[5]
      281313408 blocks 64k chunks
md2 : active raid1 sdc6[1] sdf6[0]
      341614080 blocks [2/2] [UU]
md1 : active raid5 sde6[2] sdd6[3] sdb6[0] sda6[1]
      1024842240 blocks level 5, 64k chunk, algorithm 2 [4/4] [UUUU]
unused devices: <none>

I can easily provide other information (e.g., partition info) that I can get from a running system.
Taking the machine down requires scheduling downtime with other people, but is doable.
Comment 1 Bug Zapper 2008-04-04 00:10:53 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Bug Zapper 2008-05-06 12:34:58 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.